/*---------------------------------------------------------------------------*\
  ==  == ====== ====   ====    |
                    \\     ||  | Multiphase Code Repository by HZDR
  ======   //   ||  || ===//   | Website: https://doi.org/10.14278/rodare.767
  ||  ||  //    ||  // || \\   | License: GPL-3.0-or-later
  ==  == ====== ====   ==  ==  |
-------------------------------------------------------------------------------
License
    This file is part of the Multiphase Code Repository by HZDR.

    Copyright (C) 2023 by Helmholtz-Zentrum Dresden-Rossendorf e.V. (HZDR),
    Website: https://hzdr.de

    Multiphase Code Repository by HZDR is based on the free software for
    computational fluid dynamics (CFD) from the OpenFOAM Foundation.
    Copyright (C) 2023 by OpenFOAM Foundation, Website: https://openfoam.org

    If you are interested in which files are original OpenFOAM Foundation
    files, which OpenFOAM Foundation files were modified, and which files were
    newly created, see FILES.md.

    Multiphase Code Repository by HZDR is free software: you can redistribute
    it and/or modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    Multiphase Code Repository by HZDR is distributed in the hope that it will
    be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
    Public License for more details.

    You should have received a copy of the GNU General Public License along
    with the Multiphase Code Repository by HZDR. If not, see
    <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "CUDAPopulationBalance.H"
using namespace std;
using namespace Foam::diameterModels::cudaUtilities;

// * * * * * * * * * * * * * * * * Constructors  * * * * * * * * * * * * * * //

Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
CUDAPopulationBalance()
{}

// * * * * * * * * * * * * * * * * Destructor  * * * * * * * * * * * * * * * //

// Destructor

// * * * * * * * * * * * * * * * Member Functions  * * * * * * * * * * * * * //

OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setAlphas(unsigned int domainSize)
{
    this->alphas_.resize(domainSize);
    return this->alphas_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setContinuousTurbulenceEpsilon(unsigned int domainSize)
{
    this->continuousTurbulenceEpsilon_.resize(domainSize);
    return this->continuousTurbulenceEpsilon_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setSizeGroupsdSph(unsigned int numberOfGroups)
{
    this->sizeGroupsdSph_.resize(numberOfGroups);
    return this->sizeGroupsdSph_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setSizeGroupsX(unsigned int numberOfGroups)
{
    this->sizeGroupsX_.resize(numberOfGroups);
    return this->sizeGroupsX_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setContinuousPhaseRho(unsigned int domainSize)
{
    this->continuousPhaseRho_.resize(domainSize);
    return this->continuousPhaseRho_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setSigmaWithContinuousPhaseI(unsigned int numberOfGroups, unsigned int domainSize)
{
    this->sigmaWithContinuousPhaseI_.resize(numberOfGroups*domainSize);
    return this->sigmaWithContinuousPhaseI_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setUxPhaseI(unsigned int numberOfGroups, unsigned int domainSize)
{
    this->UxPhaseI_.resize(numberOfGroups*domainSize);
    return this->UxPhaseI_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setUyPhaseI(unsigned int numberOfGroups, unsigned int domainSize)
{
    this->UyPhaseI_.resize(numberOfGroups*domainSize);
    return this->UyPhaseI_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setUzPhaseI(unsigned int numberOfGroups, unsigned int domainSize)
{
    this->UzPhaseI_.resize(numberOfGroups*domainSize);
    return this->UzPhaseI_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setResidualAlphaPhaseI(unsigned int numberOfGroups)
{
    this->residualAlphaPhaseI_.resize(numberOfGroups);
    return this->residualAlphaPhaseI_;
}


OFMemoryManagedField
Foam::diameterModels::cudaUtilities::CUDAPopulationBalance::
setContinuousPhaseThermoMu(unsigned int domainSize)
{
    this->continuousPhaseThermoMu_.resize(domainSize);
    return this->continuousPhaseThermoMu_;
}

// ************************************************************************* //
